package it.unisannio.ding.ids.wedroid.app.data.dao

import androidx.lifecycle.LiveData
import androidx.room.Dao
import androidx.room.Delete
import androidx.room.Insert
import androidx.room.OnConflictStrategy
import androidx.room.Query
import it.unisannio.ding.ids.wedroid.app.data.entity.Board

@Dao
interface BoardDao {
    @Query("SELECT * from board_table ORDER BY title ASC")
    fun getAllBoard(): LiveData<List<Board>>

    @Insert(onConflict = OnConflictStrategy.REPLACE)
    suspend fun insert(board: Board)

    @Delete
    suspend fun delete(board: Board)
}
