package it.unisannio.ding.ids.wedroid.app.data.database;

import android.content.Context;

import androidx.room.Database;
import androidx.room.Room;
import androidx.room.RoomDatabase;

import it.unisannio.ding.ids.wedroid.app.data.dao.BoardDao;
import it.unisannio.ding.ids.wedroid.app.data.entity.Board;

@Database(entities = Board.class, version = 1, exportSchema = false)
public abstract class BoardDatabase extends RoomDatabase {
    private static volatile BoardDatabase INSTANCE;

    public abstract BoardDao boardDao();

    public static BoardDatabase getDatabase(Context context) {
        if (INSTANCE != null)
            return INSTANCE;
        synchronized (BoardDatabase.class) {
            INSTANCE = Room.databaseBuilder(
                    context.getApplicationContext(),
                    BoardDatabase.class,
                    "board_database"
            ).build();

            return INSTANCE;
        }
    }
}
