package it.unisannio.ding.ids.wedroid.app.data.database;

import android.content.Context;

import androidx.room.Database;
import androidx.room.Room;
import androidx.room.RoomDatabase;

import it.unisannio.ding.ids.wedroid.app.data.dao.WListDao;
import it.unisannio.ding.ids.wedroid.app.data.entity.WList;

@Database(entities = WList.class, version = 2, exportSchema = false)
public abstract class WListDatabase extends RoomDatabase {
    private static volatile WListDatabase INSTANCE;

    public abstract WListDao wListDao();

    public static WListDatabase getDatabase(Context context) {
        if (INSTANCE != null)
            return INSTANCE;
        synchronized (WListDatabase.class) {
            INSTANCE = Room.databaseBuilder(
                    context.getApplicationContext(),
                    WListDatabase.class,
                    "wlist_database"
            ).fallbackToDestructiveMigration().build();

            return INSTANCE;
        }
    }
}
