package it.unisannio.ding.ids.wedroid.app.util

import android.content.Context

class SharedPreferenceHelper(context: Context) : PreferenceReader, PreferenceWriter {
    private val sp = context.getSharedPreferences("userinfo", Context.MODE_PRIVATE)

    override fun getBaseUrl(): String? {
        return sp.getString("url", "")
    }

    override fun getUserId(): String? {
        return sp.getString("id", "")
    }

    override fun getToken(): String? {
        return sp.getString("token", "")
    }

    override fun setBaseUrl(baseUrl: String?) {
        val editor = sp.edit()
        editor.putString("url", baseUrl).apply()
    }

    override fun setUserId(userId: String?) {
        val editor = sp.edit()
        editor.putString("id", userId).apply()
    }

    override fun setToken(token: String?) {
        val editor = sp.edit()
        editor.putString("token", token).apply()
    }

    override fun getBoardId(): String? {
        return sp.getString("boardId", "")
    }

    override fun setBoardId(token: String?) {
        val editor = sp.edit()
        editor.putString("boardId", token).apply()
    }
}
