package it.unisannio.ding.ids.wedroid.app.view;

import android.content.Intent;
import android.os.Bundle;

import androidx.appcompat.app.AppCompatActivity;
import androidx.appcompat.widget.Toolbar;

import android.util.Log;
import android.view.View;
import android.widget.ArrayAdapter;
import android.widget.EditText;
import android.widget.Spinner;
import android.widget.Switch;
import android.widget.Toast;

import it.unisannio.ding.ids.wedroid.app.R;
import it.unisannio.ding.ids.wedroid.wrapper.entity.BoardBackgroundColor;

public class NewBoardActivity extends AppCompatActivity {
    private EditText boardName;
    private Switch isPrivate;
    private Spinner colorPicker;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_new_board);
        Toolbar toolbar = findViewById(R.id.toolbar);
        setSupportActionBar(toolbar);

        boardName = findViewById(R.id.newBoardName);
        isPrivate = findViewById(R.id.newBoardPermission);

        colorPicker = findViewById(R.id.newBoardColor);
        ArrayAdapter<CharSequence> adapter = ArrayAdapter.createFromResource(
                this,
                R.array.board_background_colors,
                android.R.layout.simple_spinner_item
        );
        adapter.setDropDownViewResource(android.R.layout.simple_spinner_dropdown_item);
        colorPicker.setAdapter(adapter);

    }

    public void onDone(View v) {
        if (boardName.getText().toString().equals("")) {
            Toast.makeText(this, R.string.on_add_new_board_empty_name, Toast.LENGTH_LONG)
                    .show();
            return;
        }

        Intent data = new Intent();
        data.putExtra(BOARD_NAME, boardName.getText().toString());
        data.putExtra(BOARD_PRIVATE, isPrivate.isChecked());
        data.putExtra(BOARD_BACKGROUND_COLOR, colorPicker.getSelectedItem().toString());
        setResult(RESULT_OK, data);
        finish();
    }

    public void onCancel(View v) {
        finish();
    }

    public static final int RESULT_OK = 17;
    public static final String BOARD_NAME = "BOARD_NAME";
    public static final String BOARD_PRIVATE = "BOARD_PRIVATE";
    public static final String BOARD_BACKGROUND_COLOR = "BOARD_BACKGROUND_COLOR";
}
